commit 0a6edb81964ce0b979fd30013e724537b07665d6
Author: Andrii Nikitin <andrii.nikitin@mariadb.com>
Date:   Sat Jul 22 13:04:29 2017 +0200

    MDEV-13037 wsrep_sst_mysqldump checking wrong version of mysql client

diff --git a/scripts/wsrep_sst_mysqldump.sh b/scripts/wsrep_sst_mysqldump.sh
index 5f25c2c9d1..a5b0e48c36 100644
--- a/scripts/wsrep_sst_mysqldump.sh
+++ b/scripts/wsrep_sst_mysqldump.sh
@@ -56,7 +56,7 @@ then
 fi
 
 # Check client version
-if ! $MYSQL_CLIENT --version | grep 'Distrib 10.1' >/dev/null
+if ! $MYSQL_CLIENT --version | grep 'Distrib 10.[^0]' >/dev/null
 then
     $MYSQL_CLIENT --version >&2
     wsrep_log_error "this operation requires MySQL client version 10 or newer"
@@ -133,7 +133,7 @@ SET_GTID_BINLOG_STATE=""
 SQL_LOG_BIN_OFF=""
 
 # Safety check
-if echo $SERVER_VERSION | grep '^10.1' > /dev/null
+if echo $SERVER_VERSION | grep '^10.[^0]' > /dev/null
 then
   # If binary logging is enabled on the joiner node, we need to copy donor's
   # gtid_binlog_state to joiner. In order to do that, a RESET MASTER must be
